Bug 10089 - ping6: socket: Invalid argument
ping6: socket: Invalid argument
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-09 10:07 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 11:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-03-09 10:07:26 EST
the ping6 command returns an error for valid command lines:

EXAMPLES:

[root@ultra1 iputils-20000121]# ping6 -I eth0 hank
ping6: socket: Invalid argument
[root@ultra1 iputils-20000121]# ping6 -I eth0
ping6: socket: Invalid argument
[root@ultra1 iputils-20000121]#

from /usr/doc/iputils-20000121/README:
------------------------------
* ping/ping6

Usage: ping [ as usually ]

	Changed options: -I <device name> may be used to set output interface.

	New options:
	-T [ping only]:  send timestamp IP option.
		-T tsonly	--- only timesamps
	        -T tsandaddr	--- timestamps & addresses
		-T tsprespec host1 [host2 [host3 [host 4]]]
				--- timestamp prespecified hops

	-P <traffic class> [ping6 only] sets traffic class bits.
	-F <flow label> [ping6 only] sets flow label. -F 0 generates
	    random label.
	-w TIMEOUT  exit after this time. If no replies received, exit
	            with error code.

	Improvements:
	- it understands icmp error messages and reacts to them correctly.
	- it checks icmp checksum and reacts to corrupted packets correctly.
	- it correctly pings linux loopback.
	etc.
---------------------------------
Comment 1 Anonymous 2000-04-14 14:04:59 EDT
This also happens with ipx_configure and ipx_interface directly
after an upgrade from 6.1 to 6.2

dan
Comment 2 Pekka Savola 2000-07-12 11:47:49 EDT
Issue with ping6 and both ipx issues (->ipxutils, really) have been
fixed in the latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.